%global dwnldurl http://icedtea.classpath.org/download/visualvm/
%global visualvmharnessver 1.3

Name:       visualvm    
Version:    1.3.3
Release:    %{visualvmharnessver}.1%{?dist}.1
Summary:    Lightweight profiler that integrates many command-line JDK tools

Group:      Development/Tools  
License:    GPLv2 and GPLv2+ and (GPLv2 with exceptions or CDDL)
URL:        http://visualvm.dev.java.net/
Source0:    %{dwnldurl}/visualvm_harness-%{visualvmharnessver}.tar.gz
Source1:    %{dwnldurl}/visualvm_133-src.tar.gz
Source2:    %{dwnldurl}/netbeans-profiler-visualvm_release701.tar.gz
Patch0:     visualvm-1.3.3-icons.patch

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    wget
BuildRequires:    java >= 1.6.0 
BuildRequires:    java-devel >= 1.6.0 
BuildRequires:    jakarta-commons-logging
BuildRequires:    desktop-file-utils
BuildRequires:    netbeans-platform >= 6.9-1
BuildRequires:    netbeans-platform-harness
BuildRequires:    netbeans-apisupport

Requires:	netbeans-platform >= 6.9-1
Requires:	java >= 1.6.0 
Requires:	java-devel >= 1.6.0 

Conflicts:        java-1.6.0-openjdk <= 1:1.6.0.0-47


%description
VisualVM is a visual tool integrating several command-line JDK tools and
lightweight profiling capabilities. Designed for both production and
development time use, it further enhances the capability of monitoring and
performance analysis for the Java SE platform. 


%prep
%setup -q -n visualvm_harness-%{visualvmharnessver}
%patch0 -p1

%build
./configure --prefix=/usr \
            --with-visualvm-zip=%{SOURCE1} \
            --with-netbeans-profiler-zip=%{SOURCE2} \
            --with-visualvm-version=%{version} \
            --sysconfdir=/etc \
            --libdir=%{_libdir} \
            --datadir=%{_datadir}

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#silence rpmlint for necessary empty files
find $RPM_BUILD_ROOT/%{_libdir}/visualvm/visualvm/config/Modules/  -type f -empty | while read FILE; do echo "
" > $FILE;done

echo "
" > $RPM_BUILD_ROOT/%{_libdir}/visualvm/profiler/.lastModified

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%attr(0755,root,root) %{_bindir}/jvisualvm
%{_libdir}/visualvm/
%config(noreplace) /etc/visualvm.conf
%config(noreplace) /etc/visualvm.clusters
%{_datadir}/applications/visualvm.desktop
%{_datadir}/icons/hicolor/*x*/apps/visualvm.png
%doc README
%doc INSTALL
%doc COPYING


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-1.3.1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 17 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.3.3-1.3.1
- Use app specific icon (#549903).

* Wed Dec 14 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.3-1.3.0
- updated for hearness 1.3

* Mon Mar 21 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.2-1.2.8
- updated for hearness 1.2

* Fri Mar 8 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.2-1.2.7
- updated for vm 1.3.2

* Fri Feb 2 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.1-1.1.6
- fixed requires for java-devel, fixed conflicts version

* Wed Feb 1 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.1-1.1.5
- fixed requires for java-devel, fixed conflicts version

* Wed Jan 12 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.1-1.1.4
- release extended for harness version

* Wed Jan 12 2011 Jiri Vanek  <jvanek@redhat.com> - 1.3.1-3
- updated to harens 1.1


* Wed Nov 24 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3.1-2
- updated to harens 1.1pre
- removed file-changes fixed by upstream.

* Wed Nov 24 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3.1-1
- updated to harens 1.1, profiler 6.9.1  and visualvm 1.3.1
- removed build of bundled jar - already fixed upstream

* Wed Nov 24 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-10
- resolves 667314

* Wed Nov 24 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-9
- updated license

* Tue Nov 23 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-8
- application moved from prefix to libdir/name
- removed fc15 from conficts, and increased release number of conflicted openjdk.

* Thu Nov 22 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-7
- removed /etc symlink
- patched jvisualvm luncher to follow to /etc instead of prefix/etc

* Thu Nov 16 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-6
- all simlinks and last modified moved from to install


* Thu Nov 16 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-5
- repaired missing slash at platform

* Thu Nov 15 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-4
- added symlinks for: etc, profiler, platform, visualvm 
- sed and renaming of visualvm script

* Thu Oct 6 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-3
- fixed license file
- hacked empty files
- repaired .lastModified file to be tuched in post
- (rev 6)remove ./lastModified in postun
- (rev 5)removed and rebuilded build.jar from nb (proof of rebuilding)
- noarch added, and removed -caused error "arch dependent binaries in noarch package" 
- (rev 4)fixed define->global macro
- (rev1 )added --sysconfdir=/etc to .configure
- (rev1 ) --sysconfdir=/etc is not working, _libdir/visualvm/etc/visualvm.conf and _libdir/visualvm/etc/visualvm.clusters moved to /etc, visualvm/etc/ removed
- (rev 2) added owenership for lib[64]/visualvm/
- (rev 7) sed moved from install to build. Seams to have no evil efect to functionality
- (rev 3) removed  _prefix/jvm/java-openjdk-jvisualvm/bin/jvisualvm and _prefix/jvm/java-openjdk-jvisualvm/share/visualvm.desktop (then jvm dir becomes empty - delete also. Both script and desktop file are before placed to right places.
- {_prefix}/jvm/java-openjdk-jvisualvm changed to {_prefix}


* Thu Oct 6 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-2
- fixed noreplace config files
- applied patch visualvm-debuginfo


* Thu Sep 30 2010 Jiri Vanek  <jvanek@redhat.com> - 1.3-1
- fixed installpath out of poor /user
- fixed missing requirments


* Thu Sep 16 2010 Deepak Bhole <dbhole@redhat.com> - 1.3-0
- Initial build.
